import { UriComponents } from '@vscode-alt/monaco-editor/esm/vs/base/common/uri';
import { VSBuffer } from '@vscode-alt/monaco-editor/esm/vs/base/common/buffer';
import { IWebviewPortMapping } from './webview-port-mapping';
export interface WebviewWebContentsId {
    readonly webContentsId: number;
}
export interface WebviewWindowId {
    readonly windowId: number;
}
export interface IWebviewManagerService {
    reigsterWebview(id: string, windowId: number, metadata: RegisterWebviewMetadata): Promise<void>;
    unregisterWebview(id: string): Promise<void>;
    updateWebviewMetadata(id: string, metadataDelta: Partial<RegisterWebviewMetadata>): Promise<void>;
    didLoadResource(requestId: number, content: VSBuffer | undefined): void;
    setIgnoreMenuShortcuts(id: WebviewWebContentsId | WebviewWindowId, enabled: boolean): Promise<void>;
}
export interface RegisterWebviewMetadata {
    readonly extensionLocation: UriComponents | undefined;
    readonly localResourceRoots: readonly UriComponents[];
    readonly remoteConnectionData: any; /** IRemoteConnectionData | null; **/
    readonly portMappings: readonly IWebviewPortMapping[];
}
