import {ACTIVE_GROUP,SIDE_GROUP}from'@workbench-stack/core';/* tslint:disable */
function viewColumnToEditorGroup(editorGroupService, position) {
    if (typeof position !== 'number' || position === ACTIVE_GROUP) {
        return ACTIVE_GROUP; // prefer active group when position is undefined or passed in as such
    }
    const groups = editorGroupService.getGroups(2 /* GroupsOrder.GRID_APPEARANCE */);
    let candidate = groups[position];
    if (candidate) {
        return candidate.id; // found direct match
    }
    let firstGroup = groups[0];
    // if (groups.length === 1 /** && firstGroup.count === 0 */) {
    if (groups.length === 1 && (!firstGroup.tabs || firstGroup.tabs.length === 0)) {
        return firstGroup.id; // first editor should always open in first group independent from position provided
    }
    return SIDE_GROUP; // open to the side if group not found or we are instructed to
}
function editorGroupToViewColumn(editorGroupService, editorGroup) {
    const group = (typeof editorGroup === 'number') ? editorGroupService.getGroup(editorGroup) : editorGroup;
    return editorGroupService.getGroups(2 /* GroupsOrder.GRID_APPEARANCE */).indexOf(group);
}export{editorGroupToViewColumn,viewColumnToEditorGroup};